<template>
    <div>
        <table class="table table-hover" v-if="resources && resources.length>0">
            <thead>
                <tr>
                    <th>Reference</th>
                    <th>Materiel</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="(resource,index) in resources">
                    <td>{{resource.reference}}</td>
                    <td>{{resource.materiel}}</td>
                    <td>
                        <button class="btn btn-primary but" v-if="canEdit" v-on:click="edit(index)">Modifier</button>
                        <button class="btn btn-primary but" v-if="canFacture " v-on:click="facture(resource.pId,resource.pIndex)">
                            <span v-if="!isFacture">Facture</span>
                            <span v-else>Modifier</span>
                        </button>
                    </td>
                </tr>

            </tbody>
        </table>
        <h2 v-else> Aucune ressources a afficher</h2>
    </div>
</template>

<script>
export default {
    props: ['resources', 'canEdit', 'canFacture','isFacture'],
    methods: {
        edit(index) {
            this.$emit('edit', index);
        },
        facture(pId, index) {
            this.$emit('facture', { pId, index });
        }
    }
}
</script>

<style>

</style>
